Skip to main content
POST
Imports or updates members.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

Members to import or update

Minimum array length: 1
memberId
string
required

Member ID

Required string length: 1 - 36
isActive
boolean
required

Indicates whether the member account is active

createdAt
string<date-time>
required

Date and time when the member account was created in ISO 8601 format (e.g., "2012-03-19T07:22Z")

email
string | null

Member's email address

Maximum string length: 256
firstName
string | null

Member's first name

Maximum string length: 64
lastName
string | null

Member's last name

Maximum string length: 64
phone
string | null

Member's phone number

Maximum string length: 32
birthdate
string<date-time> | null

Member's birthdate in ISO 8601 format (e.g., "2012-03-19T07:22Z")

address
object
genderId
string | null

Member's gender identifier

selectedStoreId
string | null

ID of the member's preferred store

Maximum string length: 64
loyaltyProgram
string | null

Loyalty program or tier (e.g., Silver, Gold, Freemium)

Maximum string length: 64
isEmployee
boolean

Indicates whether the member is an employee

nationality
string | null

Member's nationality

Maximum string length: 64
metadata
object | null

Additional metadata associated with the member

deceased
boolean | null

Indicates whether the member is deceased

homeTelephone
string | null

Member's home telephone number

Maximum string length: 32
isMembershipFeePaid
boolean | null

Indicates whether the membership fee has been paid

customProperties
object | null

Custom typed properties to assign to the member

Response

OK

importedCount
integer<int32>
updatedCount
integer<int32>
skipped
object[] | null
Last modified on August 10, 2026